%define ver 1.5
%define rel 4mdk

Name: yudit
Version: %{ver}
Release: %{rel}
Group: Editors
Copyright: GPL
Source0: yudit-1.5.tar.bz2
Source1: yudit-extra-bumaps.tar.bz2
Source2: %{name}.menu
Source3:%{name}_icons.tar.bz2
Patch1: http://www.yudit.org/downloads/yudit-1.5-config.diff.bz2
URL: http://www.yudit.org/
Summary: Unicode Text Editor
BuildRoot: /var/tmp/yudit-root

%description
Yudit is a unicode text editor for the X Window System.
It does not need localized environment or unicode fonts.
It supports simultanious processing of many languages,
input methods, conversions for local character standards.
This package includes X11 editor interface, shell conversion
utilities and it also has support for postscript printing.
GNU (C) Gaspar Sinai <gsinai@iname.com> 

%prep
%setup
tar xvfy %{SOURCE3}

%patch1 -p1 -b srtxg

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr
make install prefix=$RPM_BUILD_ROOT/usr

tar yxvf %{SOURCE1} -C $RPM_BUILD_ROOT/usr/share/yudit/data

# correct Polish locale name
mv $RPM_BUILD_ROOT/usr/share/yudit/locale/po.utf8 \
	$RPM_BUILD_ROOT/usr/share/yudit/locale/pl.utf8

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/usr/lib/menu/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi


%files
%defattr (-, root, root, 755)
%doc ANNOUNCE* README* doc/UTF-8-test.txt 
%doc doc/compund.text.html doc/kinput2.protocol.utf8
/usr/bin/uniconv
/usr/bin/uniprint
/usr/bin/yudit
/usr/bin/stripumap
/usr/bin/makeumap
/usr/man/man1/uniconv.1.bz2
/usr/man/man1/uniprint.1.bz2
/usr/man/man1/yudit.1.bz2
/usr/man/man1/stripumap.1.bz2
/usr/man/man1/makeumap.1.bz2
%dir /usr/share/yudit
%dir /usr/share/yudit/config
%config /usr/share/yudit/config/yuditrc*
# %dir /usr/share/yudit/config/app-defaults
# %config /usr/share/yudit/config/app-defaults/*
/usr/share/yudit/data
/usr/share/yudit/help
/usr/share/yudit/locale
# MDK menu entry
/usr/lib/menu/%{name}
/usr/share/icons/%{name}.xpm
/usr/share/icons/large/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm


%changelog
* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.5-4mdk
- Fixed menu entry
- Add 16 and 32 icons

* Tue May 02 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.5-3mdk
- added URLs, now Yudit has its own web page!
- added a menu entry

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5-2mdk
- fixed group

* Wed Dec 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.5
- merged with Nguyen-Dai Quy <daiquy.nguyen@ulg.ac.be> changes:
  added vietnamese locale (contributed by Lai Hoa`i Trie^'t
  <thlai@mail.usyd.edu.au>)

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilation with gcc2.95.

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- cleaned %files
- added more encodings

* Sun Jul 18 1999 NGUYEN-DAI Quy <DaiQuy.Nguyen@ulg.ac.be>
- Added "telex" input Method for Vietnamese (VNtelex.kmap).
- Modified "vn.utf8" --> "vi.utf8"
- Added "fr.utf8" for French

* Wed Jul 14 1999 Triet H. Lai <thlai@ee.usyd.edu.au>
- Updated to version 1.3
- Added Vietnamese locale, unicode maps for VPS, TCVN,
  and system config file (yuditrc.vn).
